﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace asp_Chart_ticket_504946
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            RadChart1.DataSource = getDataSource();
            RadChart1.DataBind();
        }

        protected void BeforeLayout(object sender, EventArgs e)
        {
            double sum = RadChart1.Series[0].Items.Sum(item => item.YValue);
            sum = sum != 0 ? sum : 1;

            for (int i = 0; i < RadChart1.Series[0].Items.Count; i++)
            {
                double percentage = (RadChart1.Series[0].Items[i].YValue / sum) * 100;
                RadChart1.Legend.Items[i].TextBlock.Text = String.Format("{0} ({1} %)", RadChart1.Series[0].Items[i].Label.TextBlock.Text, (int)percentage);
            }
        }

        private DataTable getDataSource()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Name", typeof(string));
            table.Columns.Add("Value", typeof(double));
            table.Rows.Add(new object[] { "Prod A", 10 });
            table.Rows.Add(new object[] { "Prod B", 20 });
            table.Rows.Add(new object[] { "Prod C", 30 });
            return table;
        } 
    }
}
